install failed VeeamAgentLinux_1.0.0.678.BETA2

Backup agent for Linux servers and workstations on-premises or in the public cloud

install failed VeeamAgentLinux_1.0.0.678.BETA2

Veeam Logoby grachev@sonetnn.ru » Tue Oct 18, 2016 3:00 pm

Hello. I'm try to install veeam agent
Code: Select all
[root@srv-oradb-dpmtst01 rpm]# yum --nogpg install veeam-1.0.0.678-1.el6.x86_64.rpm
Loaded plugins: rhnplugin, security
This system is not registered with ULN.
You can use up2date --register to register.
ULN support will be disabled.
Setting up Install Process
Examining veeam-1.0.0.678-1.el6.x86_64.rpm: veeam-1.0.0.678-1.el6.x86_64
Marking veeam-1.0.0.678-1.el6.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package veeam.x86_64 0:1.0.0.678-1.el6 set to be updated
--> Processing Dependency: libblkid for package: veeam
--> Processing Dependency: ncurses-libs for package: veeam
--> Finished Dependency Resolution
veeam-1.0.0.678-1.el6.x86_64 from /veeam-1.0.0.678-1.el6.x86_64 has depsolving problems
  --> Missing Dependency: libblkid is needed by package veeam-1.0.0.678-1.el6.x86_64 (/veeam-1.0.0.678-1.el6.x86_64)
veeam-1.0.0.678-1.el6.x86_64 from /veeam-1.0.0.678-1.el6.x86_64 has depsolving problems
  --> Missing Dependency: ncurses-libs is needed by package veeam-1.0.0.678-1.el6.x86_64 (/veeam-1.0.0.678-1.el6.x86_64)
Error: Missing Dependency: libblkid is needed by package veeam-1.0.0.678-1.el6.x86_64 (/veeam-1.0.0.678-1.el6.x86_64)
Error: Missing Dependency: ncurses-libs is needed by package veeam-1.0.0.678-1.el6.x86_64 (/veeam-1.0.0.678-1.el6.x86_64)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.
You have new mail in /var/spool/mail/root
[root@srv-oradb-dpmtst01 rpm]#



Code: Select all
[root@srv-oradb-dpmtst01 ~]# uname -a
Linux srv-oradb-dpmtst01 2.6.32-400.37.18.el5uek #1 SMP Thu Jun 23 19:05:53 PDT 2016 x86_64 x86_64 x86_64 GNU/Linux



veeamsnap installed successfully
grachev@sonetnn.ru
Lurker
 
Posts: 2
Liked: never
Joined: Thu Apr 19, 2012 1:55 pm
Full Name: Dmitry Grachev

Re: install failed VeeamAgentLinux_1.0.0.678.BETA2

Veeam Logoby PTide » Tue Oct 18, 2016 3:42 pm

Hi,

It seems that you're trying to install el6 packages on the system that is based on el5. Could you please also post the output of yum repolist?

Thank you
PTide
Veeam Software
 
Posts: 3019
Liked: 246 times
Joined: Tue May 19, 2015 1:46 pm

Re: install failed VeeamAgentLinux_1.0.0.678.BETA2

Veeam Logoby grachev@sonetnn.ru » Tue Oct 18, 2016 3:50 pm

Hello
Code: Select all
]0;root@srv-mysql-dpmtst01:/usr/tmp/veeam/VeeamAgentLinux_1.0.0.678.BETA2/x64/rpm[root@srv-mysql-dpmtst01 rpm]# yum repolist
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * epel: epel.besthosting.ua
repo id                                                                                              repo name                                                                                                                         status
!base/7/x86_64                                                                                       CentOS-7 - Base                                                                                                                    9,007
!epel/x86_64                                                                                         Extra Packages for Enterprise Linux 7 - x86_64                                                                                    10,681
!extras/7/x86_64                                                                                     CentOS-7 - Extras                                                                                                                    392
!nginx/7/x86_64                                                                                      nginx repo                                                                                                                            29
!updates/7/x86_64                                                                                    CentOS-7 - Updates                                                                                                                 2,529
repolist: 22,638
]0;root@srv-mysql-dpmtst01:/usr/tmp/veeam/VeeamAgentLinux_1.0.0.678.BETA2/x64/rpm[root@srv-mysql-dpmtst01 rpm]#
grachev@sonetnn.ru
Lurker
 
Posts: 2
Liked: never
Joined: Thu Apr 19, 2012 1:55 pm
Full Name: Dmitry Grachev

Re: install failed VeeamAgentLinux_1.0.0.678.BETA2

Veeam Logoby PTide » Tue Oct 18, 2016 4:10 pm

May I ask you how it happened that you have CentOS 7 repositories installed on Oracle Enterprise Linux 5? Is it by default?

Thanks
PTide
Veeam Software
 
Posts: 3019
Liked: 246 times
Joined: Tue May 19, 2015 1:46 pm


Return to Veeam Agent for Linux



Who is online

Users browsing this forum: Google [Bot] and 2 guests